resource "google_compute_instance" "default" {
  name         = "vmc-${random_string.vm-name.result}"
  machine_type = "e2-medium"
  zone         = "us-central1-a"
  project      = "lakshmi-342921"
  tags         = ["foo","bar"]

  allow_stopping_for_update = true
  boot_disk {
    initialize_params {
      image = "debian-cloud/debian-9"
    }
  }

  network_interface {
    network = "default"
    access_config {
      // Ephemeral public IP
    }
  }
}
